Page MenuHomePhabricator

[analyzer] Add a test plugin for checker option handling
ClosedPublic

Authored by Szelethus on Mar 16 2019, 12:18 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

Szelethus created this revision.Mar 16 2019, 12:18 PM
dcoughlin requested changes to this revision.Mar 17 2019, 8:46 PM

I'm not sure we really want to add any more examples of plugins.

Analyzer plugins aren't supported and likely never will be. We probably shouldn't give people false hope that a plugin model is going to be possible any time soon. I'm worried that this will just encourage people to shoot themselves in the foot.

This revision now requires changes to proceed.Mar 17 2019, 8:46 PM

Would you be more comfortable with this patch I didn't touch the examples folder?

Szelethus planned changes to this revision.Apr 11 2019, 5:01 AM

I'll move this, and the already existing plugin to test/ or unittest/.

Szelethus updated this revision to Diff 196079.EditedApr 22 2019, 9:27 AM

Move the existing plugin to test/
Implement the new plugin in there also

Szelethus updated this revision to Diff 196080.Apr 22 2019, 9:29 AM

Accidentally uploaded the wrong diff. Rebase on top of D59464.

@Szelethus I know the dependent patch D59464 will move examples/analyzer-plugin to test/Analysis/plugins/..., but this patch still seems to affect examples/. Are you sure this is the right diff? Because you are adding brand new files and brand new "folders", I don't think that'll apply cleanly.

test/Analysis/checker-plugins.c
35 ↗(On Diff #196080)

Why isn't here a space before the line break escape \, but in the other lines?

Szelethus planned changes to this revision.Apr 29 2019, 9:34 AM

@Szelethus I know the dependent patch D59464 will move examples/analyzer-plugin to test/Analysis/plugins/..., but this patch still seems to affect examples/. Are you sure this is the right diff? Because you are adding brand new files and brand new "folders", I don't think that'll apply cleanly.

Oh wow, you're totally right, no idea how did I mess this up.

Szelethus updated this revision to Diff 197210.Apr 29 2019, 3:54 PM

Uploaded the correct diff.

Szelethus retitled this revision from [analyzer] Add example plugin for checker option handling to [analyzer] Add a test plugin for checker option handling.Apr 29 2019, 3:55 PM
NoQ accepted this revision.May 13 2019, 2:23 PM

I don't see any problems with adding more tests.

This revision was not accepted when it landed; it landed in state Needs Review.May 16 2019, 8:52 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptMay 16 2019, 8:52 AM